Quickride App is available to download for FREE on Apple App Store and Google Play store. Before installing the app, please go over the requirements to use the Driver App. 

Basic Requirements:

  1. For Android, it requires Android OS version 4.2, but works best on Android OS version 7 and up. 
  2. For iPhone, it requires iOS 10.0, but works best on the latest iOS.
  3. Each Driver phone has a data plan. We recommend having at least 5GB of data.
  4. Phone charger for each phone.
  5. Phone dash mount for each shuttle.

When you initially launch the driver app, it will ask you to access your location and notifications, choose Allow. You also need to open to Google Maps and start typing an address. A pop-up will appear asking if you would like Google Maps to use your current location, choose Ok.

To download from Apple App Store:

  1. Just click on this link.
  2. The Quickride Driver icon will appear and click on install.

To download from Google Play store:

  1. Just click on this link. 
  2. The Quickride Driver icon will appear and click on install. 

Did this answer your question?